airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lin, Yi-Li (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AIRFLOW-2976) pipy docker dependency broken
Date Wed, 29 Aug 2018 10:14:00 GMT
Lin, Yi-Li created AIRFLOW-2976:
-----------------------------------

             Summary: pipy docker dependency broken
                 Key: AIRFLOW-2976
                 URL: https://issues.apache.org/jira/browse/AIRFLOW-2976
             Project: Apache Airflow
          Issue Type: Bug
          Components: dependencies, docker
    Affects Versions: 1.10
            Reporter: Lin, Yi-Li
         Attachments: docker_dag.log, docker_dag.py

I'm trying to install airflow with docker extras but airflow's dependency will install recent
docker-py (3.5.0) from pypi which is incompatible with current DockerOperator.

DockerOperator will complain that "create_container() got an unexpected keyword argument 'cpu_shares'".

It looks like that interface is changed from docker-py 3.0.0 and work with docker-py 2.7.0.

The log and dag file are in attachments.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message